﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3053
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports System.Xml.Serialization
Imports System.Xml

'
'This source code was auto-generated by xsd, Version=2.0.50727.42.
'
Namespace WebService

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True), _
     Global.System.Xml.Serialization.XmlRootAttribute([Namespace]:="", IsNullable:=False)> _
    Partial Public Class CTSQODCreateRequest
        Inherits BaseRequest
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private dateTimeStampField As CTSQODCreateRequestDateTimeStamp

        Private orderHeaderField As CTSQODCreateRequestOrderHeader

        Private orderLinesField() As CTSQODCreateRequestOrderLine

        '''<remarks/>
        Public Property DateTimeStamp() As CTSQODCreateRequestDateTimeStamp
            Get
                Return Me.dateTimeStampField
            End Get
            Set(ByVal value As CTSQODCreateRequestDateTimeStamp)
                Me.dateTimeStampField = Value
                Me.RaisePropertyChanged("DateTimeStamp")
            End Set
        End Property

        '''<remarks/>
        Public Property OrderHeader() As CTSQODCreateRequestOrderHeader
            Get
                Return Me.orderHeaderField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeader)
                Me.orderHeaderField = Value
                Me.RaisePropertyChanged("OrderHeader")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlArrayItemAttribute("OrderLine", IsNullable:=False)> _
        Public Property OrderLines() As CTSQODCreateRequestOrderLine()
            Get
                Return Me.orderLinesField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderLine())
                Me.orderLinesField = Value
                Me.RaisePropertyChanged("OrderLines")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestDateTimeStamp
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Date)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeader
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private sourceField As CTSQODCreateRequestOrderHeaderSource

        Private sourceOrderNumberField As CTSQODCreateRequestOrderHeaderSourceOrderNumber

        Private requiredDeliveryDateField As CTSQODCreateRequestOrderHeaderRequiredDeliveryDate

        Private deliveryChargeField As CTSQODCreateRequestOrderHeaderDeliveryCharge

        Private totalOrderValueField As CTSQODCreateRequestOrderHeaderTotalOrderValue

        Private saleDateField As CTSQODCreateRequestOrderHeaderSaleDate

        Private customerAccountNoField As CTSQODCreateRequestOrderHeaderCustomerAccountNo

        Private customerNameField As CTSQODCreateRequestOrderHeaderCustomerName

        Private customerAddressLine1Field As CTSQODCreateRequestOrderHeaderCustomerAddressLine1

        Private customerAddressLine2Field As CTSQODCreateRequestOrderHeaderCustomerAddressLine2

        Private customerAddressTownField As CTSQODCreateRequestOrderHeaderCustomerAddressTown

        Private customerAddressLine4Field As CTSQODCreateRequestOrderHeaderCustomerAddressLine4

        Private customerPostcodeField As CTSQODCreateRequestOrderHeaderCustomerPostcode

        Private deliveryAddressLine1Field As CTSQODCreateRequestOrderHeaderDeliveryAddressLine1

        Private deliveryAddressLine2Field As CTSQODCreateRequestOrderHeaderDeliveryAddressLine2

        Private deliveryAddressTownField As CTSQODCreateRequestOrderHeaderDeliveryAddressTown

        Private deliveryAddressLine4Field As CTSQODCreateRequestOrderHeaderDeliveryAddressLine4

        Private deliveryPostcodeField As CTSQODCreateRequestOrderHeaderDeliveryPostcode

        Private contactPhoneHomeField As CTSQODCreateRequestOrderHeaderContactPhoneHome

        Private contactPhoneMobileField As CTSQODCreateRequestOrderHeaderContactPhoneMobile

        Private contactPhoneWorkField As CTSQODCreateRequestOrderHeaderContactPhoneWork

        Private contactEmailField As CTSQODCreateRequestOrderHeaderContactEmail

        Private deliveryInstructionsField As CTSQODCreateRequestOrderHeaderDeliveryInstructions

        Private toBeDeliveredField As CTSQODCreateRequestOrderHeaderToBeDelivered

        Private createDeliveryChargeItemField As CTSQODCreateRequestOrderHeaderCreateDeliveryChargeItem

        Private loyaltyCardNumberField As CTSQODCreateRequestOrderHeaderLoyaltyCardNumber

        Private extendedLeadTimeField As CTSQODCreateRequestOrderHeaderExtendedLeadTime

        Private deliveryContactNameField As CTSQODCreateRequestOrderHeaderDeliveryContactName

        Private deliveryContactPhoneField As CTSQODCreateRequestOrderHeaderDeliveryContactPhone

        Private recordSaleOnlyField As CTSQODCreateRequestOrderHeaderRecordSaleOnly

        '''<remarks/>
        Public Property Source() As CTSQODCreateRequestOrderHeaderSource
            Get
                Return Me.sourceField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderSource)
                Me.sourceField = Value
                Me.RaisePropertyChanged("Source")
            End Set
        End Property

        '''<remarks/>
        Public Property SourceOrderNumber() As CTSQODCreateRequestOrderHeaderSourceOrderNumber
            Get
                Return Me.sourceOrderNumberField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderSourceOrderNumber)
                Me.sourceOrderNumberField = Value
                Me.RaisePropertyChanged("SourceOrderNumber")
            End Set
        End Property

        '''<remarks/>
        Public Property RequiredDeliveryDate() As CTSQODCreateRequestOrderHeaderRequiredDeliveryDate
            Get
                Return Me.requiredDeliveryDateField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderRequiredDeliveryDate)
                Me.requiredDeliveryDateField = Value
                Me.RaisePropertyChanged("RequiredDeliveryDate")
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryCharge() As CTSQODCreateRequestOrderHeaderDeliveryCharge
            Get
                Return Me.deliveryChargeField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryCharge)
                Me.deliveryChargeField = Value
                Me.RaisePropertyChanged("DeliveryCharge")
            End Set
        End Property

        '''<remarks/>
        Public Property TotalOrderValue() As CTSQODCreateRequestOrderHeaderTotalOrderValue
            Get
                Return Me.totalOrderValueField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderTotalOrderValue)
                Me.totalOrderValueField = Value
                Me.RaisePropertyChanged("TotalOrderValue")
            End Set
        End Property

        '''<remarks/>
        Public Property SaleDate() As CTSQODCreateRequestOrderHeaderSaleDate
            Get
                Return Me.saleDateField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderSaleDate)
                Me.saleDateField = Value
                Me.RaisePropertyChanged("SaleDate")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerAccountNo() As CTSQODCreateRequestOrderHeaderCustomerAccountNo
            Get
                Return Me.customerAccountNoField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderCustomerAccountNo)
                Me.customerAccountNoField = Value
                Me.RaisePropertyChanged("CustomerAccountNo")
            End Set
        End Property

        '''<remarks/>
        Public Property CustomerName() As CTSQODCreateRequestOrderHeaderCustomerName
            Get
                Return Me.customerNameField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderCustomerName)
                Me.customerNameField = Value
                Me.RaisePropertyChanged("CustomerName")
            End Set
        End Property

        '''<remarks/>
        Public Property CustomerAddressLine1() As CTSQODCreateRequestOrderHeaderCustomerAddressLine1
            Get
                Return Me.customerAddressLine1Field
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderCustomerAddressLine1)
                Me.customerAddressLine1Field = Value
                Me.RaisePropertyChanged("CustomerAddressLine1")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerAddressLine2() As CTSQODCreateRequestOrderHeaderCustomerAddressLine2
            Get
                Return Me.customerAddressLine2Field
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderCustomerAddressLine2)
                Me.customerAddressLine2Field = Value
                Me.RaisePropertyChanged("CustomerAddressLine2")
            End Set
        End Property

        '''<remarks/>
        Public Property CustomerAddressTown() As CTSQODCreateRequestOrderHeaderCustomerAddressTown
            Get
                Return Me.customerAddressTownField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderCustomerAddressTown)
                Me.customerAddressTownField = Value
                Me.RaisePropertyChanged("CustomerAddressTown")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerAddressLine4() As CTSQODCreateRequestOrderHeaderCustomerAddressLine4
            Get
                Return Me.customerAddressLine4Field
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderCustomerAddressLine4)
                Me.customerAddressLine4Field = Value
                Me.RaisePropertyChanged("CustomerAddressLine4")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerPostcode() As CTSQODCreateRequestOrderHeaderCustomerPostcode
            Get
                Return Me.customerPostcodeField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderCustomerPostcode)
                Me.customerPostcodeField = Value
                Me.RaisePropertyChanged("CustomerPostcode")
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryAddressLine1() As CTSQODCreateRequestOrderHeaderDeliveryAddressLine1
            Get
                Return Me.deliveryAddressLine1Field
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryAddressLine1)
                Me.deliveryAddressLine1Field = Value
                Me.RaisePropertyChanged("DeliveryAddressLine1")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property DeliveryAddressLine2() As CTSQODCreateRequestOrderHeaderDeliveryAddressLine2
            Get
                Return Me.deliveryAddressLine2Field
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryAddressLine2)
                Me.deliveryAddressLine2Field = Value
                Me.RaisePropertyChanged("DeliveryAddressLine2")
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryAddressTown() As CTSQODCreateRequestOrderHeaderDeliveryAddressTown
            Get
                Return Me.deliveryAddressTownField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryAddressTown)
                Me.deliveryAddressTownField = Value
                Me.RaisePropertyChanged("DeliveryAddressTown")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property DeliveryAddressLine4() As CTSQODCreateRequestOrderHeaderDeliveryAddressLine4
            Get
                Return Me.deliveryAddressLine4Field
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryAddressLine4)
                Me.deliveryAddressLine4Field = Value
                Me.RaisePropertyChanged("DeliveryAddressLine4")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property DeliveryPostcode() As CTSQODCreateRequestOrderHeaderDeliveryPostcode
            Get
                Return Me.deliveryPostcodeField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryPostcode)
                Me.deliveryPostcodeField = Value
                Me.RaisePropertyChanged("DeliveryPostcode")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactPhoneHome() As CTSQODCreateRequestOrderHeaderContactPhoneHome
            Get
                Return Me.contactPhoneHomeField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderContactPhoneHome)
                Me.contactPhoneHomeField = Value
                Me.RaisePropertyChanged("ContactPhoneHome")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactPhoneMobile() As CTSQODCreateRequestOrderHeaderContactPhoneMobile
            Get
                Return Me.contactPhoneMobileField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderContactPhoneMobile)
                Me.contactPhoneMobileField = Value
                Me.RaisePropertyChanged("ContactPhoneMobile")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactPhoneWork() As CTSQODCreateRequestOrderHeaderContactPhoneWork
            Get
                Return Me.contactPhoneWorkField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderContactPhoneWork)
                Me.contactPhoneWorkField = Value
                Me.RaisePropertyChanged("ContactPhoneWork")
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactEmail() As CTSQODCreateRequestOrderHeaderContactEmail
            Get
                Return Me.contactEmailField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderContactEmail)
                Me.contactEmailField = Value
                Me.RaisePropertyChanged("ContactEmail")
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryInstructions() As CTSQODCreateRequestOrderHeaderDeliveryInstructions
            Get
                Return Me.deliveryInstructionsField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryInstructions)
                Me.deliveryInstructionsField = Value
                Me.RaisePropertyChanged("DeliveryInstructions")
            End Set
        End Property

        '''<remarks/>
        Public Property ToBeDelivered() As CTSQODCreateRequestOrderHeaderToBeDelivered
            Get
                Return Me.toBeDeliveredField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderToBeDelivered)
                Me.toBeDeliveredField = Value
                Me.RaisePropertyChanged("ToBeDelivered")
            End Set
        End Property

        '''<remarks/>
        Public Property CreateDeliveryChargeItem() As CTSQODCreateRequestOrderHeaderCreateDeliveryChargeItem
            Get
                Return Me.createDeliveryChargeItemField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderCreateDeliveryChargeItem)
                Me.createDeliveryChargeItemField = Value
                Me.RaisePropertyChanged("CreateDeliveryChargeItem")
            End Set
        End Property

        '''<remarks/>
        Public Property LoyaltyCardNumber() As CTSQODCreateRequestOrderHeaderLoyaltyCardNumber
            Get
                Return Me.loyaltyCardNumberField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderLoyaltyCardNumber)
                Me.loyaltyCardNumberField = Value
                Me.RaisePropertyChanged("LoyaltyCardNumber")
            End Set
        End Property

        '''<remarks/>
        Public Property ExtendedLeadTime() As CTSQODCreateRequestOrderHeaderExtendedLeadTime
            Get
                Return Me.extendedLeadTimeField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderExtendedLeadTime)
                Me.extendedLeadTimeField = Value
                Me.RaisePropertyChanged("ExtendedLeadTime")
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryContactName() As CTSQODCreateRequestOrderHeaderDeliveryContactName
            Get
                Return Me.deliveryContactNameField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryContactName)
                Me.deliveryContactNameField = Value
                Me.RaisePropertyChanged("DeliveryContactName")
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryContactPhone() As CTSQODCreateRequestOrderHeaderDeliveryContactPhone
            Get
                Return Me.deliveryContactPhoneField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryContactPhone)
                Me.deliveryContactPhoneField = Value
                Me.RaisePropertyChanged("DeliveryContactPhone")
            End Set
        End Property

        '''<remarks/>
        Public Property RecordSaleOnly() As CTSQODCreateRequestOrderHeaderRecordSaleOnly
            Get
                Return Me.recordSaleOnlyField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderRecordSaleOnly)
                Me.recordSaleOnlyField = Value
                Me.RaisePropertyChanged("RecordSaleOnly")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderSource
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderSourceOrderNumber
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderRequiredDeliveryDate
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="date")> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Date)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryCharge
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderTotalOrderValue
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderSaleDate
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="date")> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Date)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderCustomerAccountNo
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderCustomerName
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderCustomerAddressLine1
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderCustomerAddressLine2
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderCustomerAddressTown
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderCustomerAddressLine4
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderCustomerPostcode
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryAddressLine1
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryAddressLine2
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryAddressTown
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryAddressLine4
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryPostcode
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderContactPhoneHome
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderContactPhoneMobile
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderContactPhoneWork
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderContactEmail
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryInstructions
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private instructionLineField() As CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLine

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute("InstructionLine")> _
        Public Property InstructionLine() As CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLine()
            Get
                Return Me.instructionLineField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLine())
                Me.instructionLineField = Value
                Me.RaisePropertyChanged("InstructionLine")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLine
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private lineNoField As CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLineLineNo

        Private lineTextField As CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLineLineText

        '''<remarks/>
        Public Property LineNo() As CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLineLineNo
            Get
                Return Me.lineNoField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLineLineNo)
                Me.lineNoField = Value
                Me.RaisePropertyChanged("LineNo")
            End Set
        End Property

        '''<remarks/>
        Public Property LineText() As CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLineLineText
            Get
                Return Me.lineTextField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLineLineText)
                Me.lineTextField = Value
                Me.RaisePropertyChanged("LineText")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLineLineNo
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryInstructionsInstructionLineLineText
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderToBeDelivered
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderCreateDeliveryChargeItem
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderLoyaltyCardNumber
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderExtendedLeadTime
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryContactName
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderDeliveryContactPhone
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderHeaderRecordSaleOnly
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderLine
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private sourceOrderLineNoField As CTSQODCreateRequestOrderLineSourceOrderLineNo

        Private productCodeField As CTSQODCreateRequestOrderLineProductCode

        Private productDescriptionField As CTSQODCreateRequestOrderLineProductDescription

        Private totalOrderQuantityField As CTSQODCreateRequestOrderLineTotalOrderQuantity

        Private lineValueField As CTSQODCreateRequestOrderLineLineValue

        Private deliveryChargeItemField As CTSQODCreateRequestOrderLineDeliveryChargeItem

        Private sellingPriceField As CTSQODCreateRequestOrderLineSellingPrice

        Private recordSaleOnlyField As CTSQODCreateRequestOrderLineRecordSaleOnly

        '''<remarks/>
        Public Property SourceOrderLineNo() As CTSQODCreateRequestOrderLineSourceOrderLineNo
            Get
                Return Me.sourceOrderLineNoField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderLineSourceOrderLineNo)
                Me.sourceOrderLineNoField = Value
                Me.RaisePropertyChanged("SourceOrderLineNo")
            End Set
        End Property

        '''<remarks/>
        Public Property ProductCode() As CTSQODCreateRequestOrderLineProductCode
            Get
                Return Me.productCodeField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderLineProductCode)
                Me.productCodeField = Value
                Me.RaisePropertyChanged("ProductCode")
            End Set
        End Property

        '''<remarks/>
        Public Property ProductDescription() As CTSQODCreateRequestOrderLineProductDescription
            Get
                Return Me.productDescriptionField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderLineProductDescription)
                Me.productDescriptionField = Value
                Me.RaisePropertyChanged("ProductDescription")
            End Set
        End Property

        '''<remarks/>
        Public Property TotalOrderQuantity() As CTSQODCreateRequestOrderLineTotalOrderQuantity
            Get
                Return Me.totalOrderQuantityField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderLineTotalOrderQuantity)
                Me.totalOrderQuantityField = Value
                Me.RaisePropertyChanged("TotalOrderQuantity")
            End Set
        End Property

        '''<remarks/>
        Public Property LineValue() As CTSQODCreateRequestOrderLineLineValue
            Get
                Return Me.lineValueField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderLineLineValue)
                Me.lineValueField = Value
                Me.RaisePropertyChanged("LineValue")
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryChargeItem() As CTSQODCreateRequestOrderLineDeliveryChargeItem
            Get
                Return Me.deliveryChargeItemField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderLineDeliveryChargeItem)
                Me.deliveryChargeItemField = Value
                Me.RaisePropertyChanged("DeliveryChargeItem")
            End Set
        End Property

        '''<remarks/>
        Public Property SellingPrice() As CTSQODCreateRequestOrderLineSellingPrice
            Get
                Return Me.sellingPriceField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderLineSellingPrice)
                Me.sellingPriceField = Value
                Me.RaisePropertyChanged("SellingPrice")
            End Set
        End Property

        '''<remarks/>
        Public Property RecordSaleOnly() As CTSQODCreateRequestOrderLineRecordSaleOnly
            Get
                Return Me.recordSaleOnlyField
            End Get
            Set(ByVal value As CTSQODCreateRequestOrderLineRecordSaleOnly)
                Me.recordSaleOnlyField = Value
                Me.RaisePropertyChanged("RecordSaleOnly")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderLineSourceOrderLineNo
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderLineProductCode
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderLineProductDescription
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderLineTotalOrderQuantity
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderLineLineValue
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderLineDeliveryChargeItem
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderLineSellingPrice
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.42"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateRequestOrderLineRecordSaleOnly
        Inherits Object
        Implements Global.System.ComponentModel.INotifyPropertyChanged

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = Value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As Global.System.ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New Global.System.ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class
End Namespace
